Subject: Re: bug#21142: Sshfs-fuse requires fuse

From: Mark H Weaver <[email-masked]>
Date: Tue, 28 Jul 2015 10:20:50 -0400

Claes Wallin (韋嘉誠) <[email-masked]> writes:

> On 27-Jul-2015 5:06 pm, "Andreas Enge" <[email-masked]> wrote:
>>
>> Hello,
>>
>> when trying to execute sshfs from the sshfs-fuse package, I obtain
>> fuse: failed to exec fusermount: No such file or directory
>>
>> I think that fuse should be a propagated input of sshfs-fuse.
>
> Maybe it's less intrusive toward the user to wrap sshfs to add fuse to
> its PATH?

Or patch the reference to 'fusermount' to be an absolute path?

I haven't looked into this, so I don't know the feasibility of these
approaches, but in general I think that 'propagated-inputs' should be
avoided whenever there is a reasonable alternative.

What do you think?

      Mark